Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231518 - Fix error handling in check_partition(), again
Summary: Fix error handling in check_partition(), again
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 19:59 UTC by Eric Sandeen
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:43:22 UTC


Attachments (Terms of Use)
patch (deleted)
2007-03-08 20:10 UTC, Eric Sandeen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Eric Sandeen 2007-03-08 19:59:47 UTC
The fixes that went in for 

Bugzilla Bug 210234: [RHEL5 BETA1] Patch - Fix error handling in
check_partition() and rescan_partitition()

have had 2 corrections since they went upstream, which should probably be pulled
back.  Those fixes are also slated for the backported patch for RHEL4 in bug 229709.

One change addresses the error return from rescan_partitions, which could
erroneously look like -EPERM when it should be -EIO.

The other addresses a possibly missed IO error in the check_partition error return.

Comment 1 Eric Sandeen 2007-03-08 20:10:58 UTC
Created attachment 149618 [details]
patch

kernel.org is acting up, but I think this is the patch that needs to come back;
will confirm.

Comment 2 Eric Sandeen 2007-03-08 20:21:14 UTC
http://www2.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.21-rc3/2.6.21-rc3-mm2/broken-out/check_partition-fix-error-check.patch

is part of it; the other change still needs to go upstream as near as I can tell.

Comment 4 RHEL Product and Program Management 2007-04-13 18:01:43 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 5 Don Zickus 2007-04-17 20:00:27 UTC
in 2.6.18-15.el5

Comment 8 errata-xmlrpc 2007-11-07 19:43:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.